Summary:	Modemlights plugin for the Xfce panel
Summary(de):	Modemlights Erweiterung für das Xfce-Panel
Name:		xfce4-modemlights-plugin
Version:	0.1.3.99
Release:	%mkrel 6
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-modem-lights
Source0:	http://goodies.xfce.org/releases/xfce4-modemlights-plugin/%{name}-%{version}.tar.xz
Requires:	xfce4-panel >= 4.4.2
Requires:       glibc >= 2.20
Requires:       libstdc++6 >= 4.4.1
BuildRequires:	xfce4-panel-devel >= 4.4.2
BuildRequires:	libxfce4util-devel
BuildRequires:	libxfcegui4-devel
Obsoletes:	xfce-modemlights-plugin
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%name < %version

%description
Xfce 4 Modem Lights panel plugin is intended to simplify 
establishing a ppp connection via a modem.

%description -l de
Die Xfce 4 Modem Lights Panelerweiterung beabsichtigt die 
Einrichtung einer ppp Verbindung via Modem zu vereinfachen. 

%prep
%setup -q

%build
%define Werror_cflags %nil

%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#Fix desktop file
perl -pi -e "s|libexec|lib|" $RPM_BUILD_ROOT%{_datadir}/xfce4/panel-plugins/*.desktop


%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS NEWS
%{_libdir}/xfce4/panel-plugins/*
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_datadir}/pixmaps/modem-*.png


%changelog
* Wed Jun 07 2017 threepio <threepio> 0.1.3.99-6uplos2017
- rebuild for uplos

* Sat Mar 07 2015 ghostbunny <ghostbunny at gmx dot de> 0.1.3.99-6pclos2015
- rebuild against new libxfce4util7
- add missing BRs libxfce4util-devel and libxfcegui4-devel

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 0.1.3.99-5pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 0.1.3.99-5pclos2012
- process

* Thu Aug 30 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.1.3.99-5pclos2012
- rebuild against new xfce4 panel and libxfce4util
- added/fixed german summary and description

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 0.1.3.99-4pclos2012
- rebuild

* Fri Mar 25 2011 Texstar <texstar at gmail.com> 0.1.3.99-3pclos2011
- rebuild

* Wed Oct 07 2009 Neal <nealbrks0@gmail.com> 0.1.3.99-2pclos2009
- gcc update


